RBOT(1)

NAME
rbot - IRC bot written in ruby

SYNOPSIS

rbot [{[-d] | [--debug]} {[-h] | [--help]} {[-v] | [--version]} {[-l LEVEL] | [--loglevel LEVEL]} {[-b] | [--background]} {[-p PIDFILE] | [--pidfile PIDFILE]}] [confdir]

DESCRIPTION

rbot starts the Rbot (ruby IRC bot).

OPTIONS

This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --debug
    Display debug information (very verbose).

-h, --help
    Show summary of options.

-v, --version
    Display version information.

-l LEVEL, --loglevel LEVEL
    Sets the minimum log level verbosity. Possible values for the loglevel are 0 (DEBUG), 1 (INFO), 2 (WARN), 3 (ERROR), 4 (FATAL). The default loglevel is 1 (INFO messages). The logfile is located at BOTDIR/BOTNAME.log and doesn't contain IRC logs (which are located at BOTDIR/logs/*), but only rbot diagnostic messages.

-b, --background
    Background (daemonize) the bot.

-p PIDFILE, --pidfile PIDFILE
    Write the bot pid to PIDFILE. The default pidfile is BOTDIR/rbot.pid.

BOTDIR
    Path to the directory where are stored the bot's configuration files. The default config directory is ~/.rbot.

VERSION

This manual page was written by Marc Dequènes (Duck) <Duck@DuckCorp.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHORS

Marc Dequènes <Duck@DuckCorp.org>
    Debian(TM) package maintainer

Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    rbot maintainer

COPYRIGHT
Copyright © 2004-2009 Marc Dequènes (Duck)
Copyright © 2010 Giuseppe Bilotta